summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/stardict/README10
-rw-r--r--system/stardict/doinst.sh3
-rw-r--r--system/stardict/slack-desc12
-rw-r--r--system/stardict/stardict-transparent.patch.gzbin0 -> 1071 bytes
-rw-r--r--system/stardict/stardict.SlackBuild60
-rw-r--r--system/stardict/stardict.info14
6 files changed, 61 insertions, 38 deletions
diff --git a/system/stardict/README b/system/stardict/README
index dbf8fc225f..af485d6845 100644
--- a/system/stardict/README
+++ b/system/stardict/README
@@ -1,6 +1,6 @@
-StarDict is a Cross-Platform and international dictionary written in
-Gtk2. It has powerful features such as "Glob-style pattern matching",
-"Scan selection word," "Fuzzy query," etc.
+StarDict is a Cross-Platform and international dictionary Software. It has
+powerful features such as "Glob-style pattern matching", "Scan selection
+word," "Fuzzy query," etc. Stardict Version3.0 has developed a lot of
+new functions, such as Full-text translation, Net Dict.
-Notice: You also need to download dictionaries from the StarDict website:
-http://stardict.sourceforge.net
+Dependencies: enchant available from SlackBuild.org
diff --git a/system/stardict/doinst.sh b/system/stardict/doinst.sh
deleted file mode 100644
index 98d466d8b9..0000000000
--- a/system/stardict/doinst.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
-fi
diff --git a/system/stardict/slack-desc b/system/stardict/slack-desc
index c5ca590afa..aaef221c59 100644
--- a/system/stardict/slack-desc
+++ b/system/stardict/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-stardict: StarDict (Cross-Platform and international dictionary)
+stardict: stardict (international dictionary software)
+stardict:
+stardict: StarDict is a Cross-Platform and international dictionary written
+stardict: in Gtk2. It has powerful features such as "Glob-style pattern
+stardict: matching," "Scan selection word," "Fuzzy query," etc.
+stardict:
stardict:
-stardict: StarDict is a Cross-Platform and international dictionary written in
-stardict: Gtk2. It has powerful features such as "Glob-style pattern matching",
-stardict: "Scan selection word," "Fuzzy query," etc.
stardict:
-stardict: Notice: You need to download dictionaries from the StarDict website:
-stardict: http://stardict.sourceforge.net
stardict:
stardict:
stardict:
diff --git a/system/stardict/stardict-transparent.patch.gz b/system/stardict/stardict-transparent.patch.gz
new file mode 100644
index 0000000000..32e7a11772
--- /dev/null
+++ b/system/stardict/stardict-transparent.patch.gz
Binary files differ
diff --git a/system/stardict/stardict.SlackBuild b/system/stardict/stardict.SlackBuild
index 14b3bc594a..b235ed6413 100644
--- a/system/stardict/stardict.SlackBuild
+++ b/system/stardict/stardict.SlackBuild
@@ -1,63 +1,89 @@
#!/bin/sh
# Slackware build script for stardict
-# Written by Jick Nan (jick.nan@gmail.com)
-PRGNAM=stardict
-VERSION=2.4.8
+# Written by Murat D. Kadirov <banderols@gmail.com>
+
+PRGNAM=stardict
+VERSION=${VERSION:-3.0.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Please uncomment string above if want add transparent to icon tray. Patch from svn.
+# See http://www.stardict.org/forum/viewtopic.php?f=5&t=246
+#zcat $CWD/stardict-transparent.patch.gz | patch -p1 src/eggtrayicon.c || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --disable-gnome-support \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- || exit 1
+ --mandir=/usr/man \
+ --disable-gucharmap \
+ --disable-festival \
+ --disable-espeak \
+ --disable-gnome-support \
+ --disable-schemas-install \
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL README TODO doc/FAQ doc/HACKING \
- doc/DICTFILE_FORMAT doc/HowToCreateDictionary $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog README TODO doc/FAQ doc/HACKING doc/HowToCreateDictionary \
+doc/README.win32 doc/Translation doc/StarDictFileFormat $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/stardict/stardict.info b/system/stardict/stardict.info
index 54d145c19a..eb416070e9 100644
--- a/system/stardict/stardict.info
+++ b/system/stardict/stardict.info
@@ -1,8 +1,8 @@
PRGNAM="stardict"
-VERSION="2.4.8"
-HOMEPAGE="http://stardict.sourceforage.net/"
-DOWNLOAD="http://dl.sourceforge.net/stardict/stardict-2.4.8.tar.bz2"
-MD5SUM="2f743d809737ca157bad71791c45ce63"
-MAINTAINER="Jick Nan"
-EMAIL="jick.nan@gmail.com"
-APPROVED="rworkman"
+VERSION="3.0.1"
+HOMEPAGE="http://stardict.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/stardict/stardict-3.0.1.tar.bz2"
+MD5SUM="93bb2d7825bc9d52a4f9ba4c1c506d1d"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="David Somero"